//CoData.macroVersion( 6.101);
/**
 * This program gets data from a comma-separated-value
 * ASCII file, runs a polynomial regression, 
 * and prints the regression equation.
 * Copyright 1999-2002 CoHort Software.
 */
public class Regress extends com.cohort.CoData {

  void checkRunError() {
    if (length(getRunError())>0) error(getRunError());
  }

  void error(String s) {
    System.out.println("Error: "+s);
    exit(1);
  }

  public void run() {
    //reset the data file (not necessary, but to be safe)
    runDataReset();
    checkRunError();
    
    //create x and y double columns
    runDataInsertColumns(1, "dd", "X,Y");
    checkRunError();

    //create 10 rows for the data
    runDataInsertRows(1, 10);
    checkRunError();
    
    //put the data in the file
    setDataRow(1, "10, 0.75");
    setDataRow(2, "12, 1.22");
    setDataRow(3, "14, 1.63");
    setDataRow(4, "16, 2.29");
    setDataRow(5, "18, 3.44");
    setDataRow(6, "20, 3.70");
    setDataRow(7, "22, 4.51");
    setDataRow(8, "24, 6.22");
    setDataRow(9, "26, 7.35");
    setDataRow(10, "28, 8.90");

    //do the regression (0=polynomial, 1=xCol  2=yCol, 2=Degree, ...) 
    runDataRegressionXY(0, 1, 2, 2, "", true, false, 0);
    checkRunError();

    //print the regression equation
    println(dataRegressionXY.getEquation());    
  } 

  public static void main(String args[]) {
    Regress instance=new Regress();
    instance.run();
  }
  
}
